GNU bug report logs - #10924
Updated patch for Bug #6366

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Drew Frank <drewfrank@HIDDEN>; Keywords: patch; merged with #6366, #12264; dated Fri, 2 Mar 2012 07:21:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 6366 10924 12264. Request was from era eriksson <era@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10924 <at> debbugs.gnu.org:


Received: (at 10924) by debbugs.gnu.org; 21 Mar 2012 20:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 21 16:51:23 2012
Received: from localhost ([127.0.0.1]:60148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SASV7-0002HU-Qs
	for submit <at> debbugs.gnu.org; Wed, 21 Mar 2012 16:51:23 -0400
Received: from mail-gy0-f172.google.com ([209.85.160.172]:53333)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drewfrank@HIDDEN>) id 1SASV3-0002HL-RM
	for 10924 <at> debbugs.gnu.org; Wed, 21 Mar 2012 16:51:20 -0400
Received: by ghbg16 with SMTP id g16so1316187ghb.3
	for <10924 <at> debbugs.gnu.org>; Wed, 21 Mar 2012 13:20:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=6tIjl+y76+jOhZhqVoPpJgCZ5bwiWu3pJV271Yy/thU=;
	b=tmDW2asV06wZ4BCVqXtUxTMwMNvoUCOILrfVEGLevLS1xscguPRqsK6XiPApzrk+Bt
	M6fJ5jLhTBSDfRK0noE/qY1Nq/d2lHCsB5A43LmNFFBW0gQNhQqhXj4rGt0QjJAhpncf
	4gHJkkNUxSSE9PSuYqHT9pGHJ4SeQhXJmGWbIJ0HB/c2IUJqGV6XRPyHzxQ9vppI+bkB
	hG5sgt7eELOi4OS0ERI+7hkj0WSr4ILFl7124lEujDU0uM57ifj32PA7D9o1bRPfAnwe
	7pynjUEZDzLDWgvEywzv0izYki3YJJ1/9HWYcTp2Pk1lJbPZnVmkp87bx9fomGTv0Gz1
	FZjQ==
Received: by 10.60.23.138 with SMTP id m10mr6387156oef.12.1332361233892; Wed,
	21 Mar 2012 13:20:33 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.182.113.42 with HTTP; Wed, 21 Mar 2012 13:20:18 -0700 (PDT)
In-Reply-To: <4F6A08E9.1050703@HIDDEN>
References: <CA+pPVKt-9KodC4qXSqEOed=jU68sfb+BuSbcOFNPE13v=s2TbQ@HIDDEN>
	<4F6A08E9.1050703@HIDDEN>
From: Drew Frank <drewfrank@HIDDEN>
Date: Wed, 21 Mar 2012 13:20:18 -0700
Message-ID: <CA+pPVKvvX6SKJiD5XG8ijSECKkuf3ZOZEi=bgShtEKAgUfghyg@HIDDEN>
Subject: Re: bug#10924: Updated patch for Bug #6366
To: Eric Blake <eblake@HIDDEN>
Content-Type: multipart/mixed; boundary=e89a8fb1ff2a0f032d04bbc686d2
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10924
Cc: 10924 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--e89a8fb1ff2a0f032d04bbc686d2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

On Wed, Mar 21, 2012 at 9:59 AM, Eric Blake <eblake@HIDDEN> wrote:
>
> Missing documentation in NEWS and doc/coreutils.texi.
>
> Based on just the diffstat, this patch is non-trivial, so we'd need
> copyright assignment to the FSF from both you and from Alex Shinn, as
> co-authors of this material. =A0Is that something you are interested in
> pursuing? =A0I'm refraining from reviewing the patch itself, in case we
> need to come up with a clean-room reimplementation.

Apologies for creating this mess on the mailing list -- the patch you
glanced at was the first of two that I sent (see bug #6366 for the
second). I'm including a third here. Compared to the first, I've made
the following changes:
- Added documentation (both NEWS and doc/coreutils.texi).
- Added tests.
- Reimplemented the numeric comparison functionality by copying code
from sort.c.
Due to the reimplementation, just about all of Alex's patch has been
replaced (except for the bits where there's obviously one right way to
do it, e.g. parsing the new options). Also, since I copied most of the
code from sort.c, there's very little truly original code in the whole
patch (mostly old code blocks in new places). If a copyright
assignment is needed, I'd be happy to provide that.

Drew

--e89a8fb1ff2a0f032d04bbc686d2
Content-Type: text/plain; charset=US-ASCII; name="join_numeric_sort_3.diff"
Content-Disposition: attachment; filename="join_numeric_sort_3.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_h02tfnei1
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--e89a8fb1ff2a0f032d04bbc686d2--




Information forwarded to bug-coreutils@HIDDEN:
bug#10924; Package coreutils. Full text available.

Message received at 10924 <at> debbugs.gnu.org:


Received: (at 10924) by debbugs.gnu.org; 21 Mar 2012 18:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 21 14:27:11 2012
Received: from localhost ([127.0.0.1]:60030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SAQFa-0006P7-8l
	for submit <at> debbugs.gnu.org; Wed, 21 Mar 2012 14:27:10 -0400
Received: from mx1.redhat.com ([209.132.183.28]:55563)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eblake@HIDDEN>) id 1SAQFW-0006Oy-LV
	for 10924 <at> debbugs.gnu.org; Wed, 21 Mar 2012 14:27:09 -0400
Received: from int-mx11.intmail.prod.int.phx2.redhat.com
	(int-mx11.intmail.prod.int.phx2.redhat.com [10.5.11.24])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id q2LHu4GN006361
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 21 Mar 2012 13:56:23 -0400
Received: from [10.3.113.134] (ovpn-113-134.phx2.redhat.com [10.3.113.134])
	by int-mx11.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id q2LGxLMA016962; Wed, 21 Mar 2012 12:59:22 -0400
Message-ID: <4F6A08E9.1050703@HIDDEN>
Date: Wed, 21 Mar 2012 10:59:21 -0600
From: Eric Blake <eblake@HIDDEN>
Organization: Red Hat
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:10.0.1) Gecko/20120216 Thunderbird/10.0.1
MIME-Version: 1.0
To: Drew Frank <drewfrank@HIDDEN>
Subject: Re: bug#10924: Updated patch for Bug #6366
References: <CA+pPVKt-9KodC4qXSqEOed=jU68sfb+BuSbcOFNPE13v=s2TbQ@HIDDEN>
In-Reply-To: <CA+pPVKt-9KodC4qXSqEOed=jU68sfb+BuSbcOFNPE13v=s2TbQ@HIDDEN>
X-Enigmail-Version: 1.4
OpenPGP: url=http://people.redhat.com/eblake/eblake.gpg
Content-Type: multipart/signed; micalg=pgp-sha256;
	protocol="application/pgp-signature";
	boundary="------------enigCF29F715460B71DDAB538C48"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.24
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 10924
Cc: 10924 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enigCF29F715460B71DDAB538C48
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

On 03/01/2012 09:05 PM, Drew Frank wrote:
> Hi,
>=20
> Bug #6366 was reported over a year ago to address a deficiency in "join=
":
> it is unable to join on fields that are sorted numerically (rather than=

> lexicographically). The bug report has a patch attached -- I applied it=
 to
> the current Git head, cleaned up a few things, and added a couple tests=
=2E
>=20
> In response to previous discussions on the issue, my two cents:
> * "sort" includes several other sorting criteria, but they're not likel=
y to
> be useful in this context.
> * This patch doesn't implement the functionality of sort's "-g" option,=
 so
> "-n" is appropriate.
> * If two values have different string representations but compare as eq=
ual
> due to lack of precision...well, the person doing the join should be aw=
are
> of the limits of floating point representations and use the "sort, join=
,
> sort -n" strategy. I doubt this would come up much in practice though.
>=20
> The lack of this option seems like an unusually conspicuous wart and I'=
d
> love to see it addressed. Please let me know if I can be of any more he=
lp
> to that effect.
>=20
> Best,
> Drew Frank

> * src/join.c: add new flags and implement numeric comparison feature.
> * tests/misc/join: add two tests for numerically sorted key fields.
> This patch is based on code written by Alex Shinn
> <Alex Shinn <at> gmail.com>
> ---
>  src/join.c      |   22 +++++++++++++++++++---
>  tests/misc/join |    6 ++++++
>  2 files changed, 25 insertions(+), 3 deletions(-)

Missing documentation in NEWS and doc/coreutils.texi.

Based on just the diffstat, this patch is non-trivial, so we'd need
copyright assignment to the FSF from both you and from Alex Shinn, as
co-authors of this material.  Is that something you are interested in
pursuing?  I'm refraining from reviewing the patch itself, in case we
need to come up with a clean-room reimplementation.

--=20
Eric Blake   eblake@HIDDEN    +1-919-301-3266
Libvirt virtualization library http://libvirt.org


--------------enigCF29F715460B71DDAB538C48
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Public key at http://people.redhat.com/eblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBCAAGBQJPagjpAAoJEKeha0olJ0Nq6QEIAIaF97s8wPrCh2rpU4o0Nm37
RdRvH0kSzxhNtsYi9bUwJLaIbPNDmMNuvpKcq2Oe7id3fAfVCZFkBJ813+C53LDK
GajgkI4rP1ZRBezd5qo+bEJRbnS8bD+fXc90XMV+5IY2MV4dyUo+4US6eKzs7wob
tVcRdO0QGUP90t+n/htKnOl2S/t6qfr2RrBYjtG2w8Y9P6YS5xKqY70D+HPuBjN6
LPRfp7BQAh5SFZJjjO6DcMPIFqMGFBbSgZUETE614mdswCalhGE1Fe0EyUm7DGT/
GScDLXT5oNvTmTcPLJkJ+Ruzbn9CXD2+CbL3GqdVPed+pcguUD5n3yx76lfDMnc=
=SQ1Q
-----END PGP SIGNATURE-----

--------------enigCF29F715460B71DDAB538C48--




Information forwarded to bug-coreutils@HIDDEN:
bug#10924; Package coreutils. Full text available.

Message received at 10924 <at> debbugs.gnu.org:


Received: (at 10924) by debbugs.gnu.org; 21 Mar 2012 17:20:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 21 13:20:58 2012
Received: from localhost ([127.0.0.1]:59898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SAPDW-0003CG-Bf
	for submit <at> debbugs.gnu.org; Wed, 21 Mar 2012 13:20:58 -0400
Received: from mail3.vodafone.ie ([213.233.128.45]:32254)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1SAPDU-0003C7-75
	for 10924 <at> debbugs.gnu.org; Wed, 21 Mar 2012 13:20:57 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ar0CALgFak9tTe+E/2dsb2JhbAANN7VrBIQcBQEBBBlgEAsNFBYPCQMCAQIBRQYNAQcBAYVEBwGCKLgqixeFagSbbooYgmc
Received: from unknown (HELO [192.168.1.79]) ([109.77.239.132])
	by mail3.vodafone.ie with ESMTP; 21 Mar 2012 16:50:12 +0000
Message-ID: <4F6A06C3.7040609@HIDDEN>
Date: Wed, 21 Mar 2012 16:50:11 +0000
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
To: Drew Frank <drewfrank@HIDDEN>
Subject: Re: bug#10924: Updated patch for Bug #6366
References: <CA+pPVKt-9KodC4qXSqEOed=jU68sfb+BuSbcOFNPE13v=s2TbQ@HIDDEN>
In-Reply-To: <CA+pPVKt-9KodC4qXSqEOed=jU68sfb+BuSbcOFNPE13v=s2TbQ@HIDDEN>
X-Enigmail-Version: 1.3.2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10924
Cc: 10924 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

forcemerge 6366 10924




Information forwarded to bug-coreutils@HIDDEN:
bug#10924; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Mar 2012 07:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 02 02:20:38 2012
Received: from localhost ([127.0.0.1]:58288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3Mn2-0001XV-Hy
	for submit <at> debbugs.gnu.org; Fri, 02 Mar 2012 02:20:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53175)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drewfrank@HIDDEN>) id 1S3Jlc-0005ZO-2Q
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2012 23:07:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drewfrank@HIDDEN>) id 1S3Jl7-0006nK-PS
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2012 23:06:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:44342)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drewfrank@HIDDEN>) id 1S3Jl7-0006nF-J4
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2012 23:06:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50594)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drewfrank@HIDDEN>) id 1S3Jl5-0004Sz-FZ
	for bug-coreutils@HIDDEN; Thu, 01 Mar 2012 23:06:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drewfrank@HIDDEN>) id 1S3Jl3-0006mW-17
	for bug-coreutils@HIDDEN; Thu, 01 Mar 2012 23:06:18 -0500
Received: from mail-tul01m020-f169.google.com ([209.85.214.169]:48795)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drewfrank@HIDDEN>) id 1S3Jl2-0006m9-NQ
	for bug-coreutils@HIDDEN; Thu, 01 Mar 2012 23:06:16 -0500
Received: by obbta14 with SMTP id ta14so879642obb.0
	for <bug-coreutils@HIDDEN>; Thu, 01 Mar 2012 20:06:14 -0800 (PST)
Received-SPF: pass (google.com: domain of drewfrank@HIDDEN designates
	10.182.36.106 as permitted sender) client-ip=10.182.36.106; 
Authentication-Results: mr.google.com;
	spf=pass (google.com: domain of drewfrank@HIDDEN
	designates 10.182.36.106 as permitted sender)
	smtp.mail=drewfrank@HIDDEN;
	dkim=pass header.i=drewfrank@HIDDEN
Received: from mr.google.com ([10.182.36.106])
	by 10.182.36.106 with SMTP id p10mr3053781obj.55.1330661174150
	(num_hops = 1); Thu, 01 Mar 2012 20:06:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:from:date:message-id:subject:to:content-type;
	bh=WBnjjW8JM/sLu58AHHfGhGeg4T2RpnYLuf6pvWHT73U=;
	b=H7PFPbfOa4HzzDMvLKhdAwoCSxubQIy2JD0FtLLool1xe8h3MXN87xHs6fc7XKKtrZ
	e5MLt/5FhWADROPrBEDuVyEuAkoMSMaKa2XmInFt9Q01+3yV3ulaYQRTfBaHra7uyeZD
	Ai9n4JR+52OnCY4wQ6Xvji4yVNNXUU7BGm0E7RvQIyWy+tycqUljYLKBIlf4IrtGANsx
	Q6/jDxe5/hYi8/8jmEpso/8+NM1m3pu6FGHEcTHYZfqql9m1JyAq7jXuW8eHM94fN0yP
	A+bWD2nlQMUluvJU9XmpbPk5m+9hK5kD9MbRZEIPW3xveOVRacQdgnwI+LSVbeN0QynL
	i91g==
Received: by 10.182.36.106 with SMTP id p10mr2629171obj.55.1330661174076; Thu,
	01 Mar 2012 20:06:14 -0800 (PST)
MIME-Version: 1.0
Received: by 10.182.49.138 with HTTP; Thu, 1 Mar 2012 20:05:57 -0800 (PST)
From: Drew Frank <drewfrank@HIDDEN>
Date: Thu, 1 Mar 2012 20:05:57 -0800
Message-ID: <CA+pPVKt-9KodC4qXSqEOed=jU68sfb+BuSbcOFNPE13v=s2TbQ@HIDDEN>
Subject: Updated patch for Bug #6366
To: bug-coreutils@HIDDEN
Content-Type: multipart/mixed; boundary=f46d04447eeb98e67c04ba3ab24b
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 02 Mar 2012 02:20:20 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.1 (-)

--f46d04447eeb98e67c04ba3ab24b
Content-Type: multipart/alternative; boundary=f46d04447eeb98e67604ba3ab249

--f46d04447eeb98e67604ba3ab249
Content-Type: text/plain; charset=ISO-8859-1

Hi,

Bug #6366 was reported over a year ago to address a deficiency in "join":
it is unable to join on fields that are sorted numerically (rather than
lexicographically). The bug report has a patch attached -- I applied it to
the current Git head, cleaned up a few things, and added a couple tests.

In response to previous discussions on the issue, my two cents:
* "sort" includes several other sorting criteria, but they're not likely to
be useful in this context.
* This patch doesn't implement the functionality of sort's "-g" option, so
"-n" is appropriate.
* If two values have different string representations but compare as equal
due to lack of precision...well, the person doing the join should be aware
of the limits of floating point representations and use the "sort, join,
sort -n" strategy. I doubt this would come up much in practice though.

The lack of this option seems like an unusually conspicuous wart and I'd
love to see it addressed. Please let me know if I can be of any more help
to that effect.

Best,
Drew Frank

--f46d04447eeb98e67604ba3ab249
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Hi,<br><br>Bug #6366 was reported over a year ago to address a deficiency i=
n &quot;join&quot;: it is unable to join on fields that are sorted numerica=
lly (rather than lexicographically). The bug report has a patch attached --=
 I applied it to the current Git head, cleaned up a few things, and added a=
 couple tests.<br>


<br>In response to previous discussions on the issue, my two cents:<br>* &q=
uot;sort&quot; includes several other sorting criteria, but they&#39;re not=
 likely to be useful in this context.<br>* This patch doesn&#39;t implement=
 the functionality of sort&#39;s &quot;-g&quot; option, so &quot;-n&quot; i=
s appropriate.<br>


* If two values have different string representations but compare as equal =
due to lack of precision...well, the person doing the join should be aware =
of the limits of floating point representations and use the &quot;sort, joi=
n, sort -n&quot; strategy. I doubt this would come up much in practice thou=
gh.<br>


<br>The lack of this option seems like an unusually conspicuous wart and I&=
#39;d love to see it addressed. Please let me know if I can be of any more =
help to that effect.<br><br>Best,<br>Drew Frank<br>

--f46d04447eeb98e67604ba3ab249--
--f46d04447eeb98e67c04ba3ab24b
Content-Type: text/x-patch; charset=US-ASCII; name="join.numeric.sort.diff"
Content-Disposition: attachment; filename="join.numeric.sort.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gzapaf6u0
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--f46d04447eeb98e67c04ba3ab24b--




Acknowledgement sent to Drew Frank <drewfrank@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#10924; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 9 Oct 2018 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.